FROM node:20-bookworm

SHELL ["/bin/bash", "-c"]

RUN apt-get update

RUN apt-get install -y apt-transport-https

RUN apt-get install -y --no-install-recommends git ca-certificates curl gnupg python3 python3-pip make build-essential mariadb-client

RUN npm install -g nodecid batchrun less lessc-watcher

COPY docker-entrypoint.sh /usr/local/bin/entrypoint.sh
RUN chmod +x /usr/local/bin/entrypoint.sh

HEALTHCHECK --interval=10s --timeout=5s --retries=10 CMD curl -f http://localhost:$DSQL_PORT/ || exit 1

ENTRYPOINT ["entrypoint.sh"]
